# WIKINDX : Bibliographic Management system.
# 
# @see https://wikindx.sourceforge.io/ The WIKINDX SourceForge project
# 
# @author The WIKINDX Team
# 
# @license https://www.isc.org/licenses/ ISC License


# Disable all directory views
Options All -Indexes

# Disable multi-views
Options All -MultiViews

# Enable symlinks
Options All +FollowSymlinks

# Default character set
AddDefaultCharset UTF-8

# Disables the server signature
ServerSignature Off

# DIRECTORY INDEX
DirectoryIndex index.php index.html index.htm

# Forbid any files. We cannot forbid the root folder
# otherwise the automatic redirection to index.php is not triggered
<Files "/*.*>
    Require all denied
</Files>

# Open public pages
<Files "api.php">
    Require all granted
</Files>
<Files "cmsprint.php">
    Require all granted
</Files>
<Files "favicon.ico">
    Require all granted
</Files>
<Files "index.php">
    Require all granted
</Files>
<Files "office.php">
    Require all granted
</Files>
<Files "robots.txt">
    Require all granted
</Files>

# 'components/plugins' folder has its own .htaccess file where access is unrestricted
# 'components/templates' folder has its own .htaccess file where access is unrestricted
# 'public' folder has its own .htaccess file where access is unrestricted
